Bug 40205 - SVG Pattern/Gradient clean-up
Summary: SVG Pattern/Gradient clean-up
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-05 05:11 PDT by Dirk Schulze
Modified: 2011-01-02 03:23 PST (History)
1 user (show)

See Also:


Attachments
Patch (12.79 KB, patch)
2010-06-05 05:25 PDT, Dirk Schulze
no flags Details | Formatted Diff | Diff
Patch (12.77 KB, patch)
2010-06-05 05:32 PDT, Dirk Schulze
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Schulze 2010-06-05 05:11:17 PDT
Transformations of Patterns and Gradients can be bundeled. This calculation also needs just to be calculated once. It's not a great speed-up for most platforms, but a clean-up and preparation for new features like vectorEffects and others.
Comment 1 Dirk Schulze 2010-06-05 05:25:03 PDT
Created attachment 57964 [details]
Patch
Comment 2 Dirk Schulze 2010-06-05 05:32:05 PDT
Created attachment 57965 [details]
Patch
Comment 3 Nikolas Zimmermann 2010-06-06 04:07:30 PDT
Comment on attachment 57965 [details]
Patch

Good job, r=me. Just fix a list typo before landing:

WebCore/ChangeLog:11
 +          Now, that we don't recalucluate the gradient and it's transformations, it was necessary to add a way
Typo: its.
Comment 4 Dirk Schulze 2010-06-06 04:36:02 PDT
Committed r60760: <http://trac.webkit.org/changeset/60760>
Comment 5 Dirk Schulze 2011-01-02 03:23:17 PST
Comment on attachment 57965 [details]
Patch

Clearing review flag.